<link rel="import" href="/bower_components/polymer/polymer-element.html">
<!-- this is only needed at the root element: -->
<!-- <link rel="import" href="/bower_components/paper-styles/color.html"> -->
<link rel="import" href="../l1page-theme/l1page-theme.html">

<!--
`<template-element>` does amazing things

Example:

    <template-element></template-element>
    <template-element button-title="custom button text"></template-element>

### Styling
The following custom properties and mixins are available for styling:

Custom property | Description | Default
----------------|-------------|----------
`--my-custom-color` | A custom css property | `black`
`--my-mixin-name` | A custom mixin | `{}`

@demo path/to/demo1.html  Super cool demo, with sharks!
@demo path/to/demo2.html  Even cooler demo. The sharks have lasers!
-->
<dom-module id="template-element">
  <template>
    <link rel="stylesheet" href="template-element.css?__inline=true">
    <style include="l1page-theme"></style>

    <h1>This is template-element</h1>
    <!-- comments like this will be ignored -->

    <slot></slot>
  </template>
</dom-module>

<script src="template-element.js?__inline=true"></script>
